libxml_set_external_entity_loader
libxml_use_internal_errors
libxml Functions
PHP Manual

# libxml_set_streams_context

Set the streams context for the next libxml document load or write

### Description

void libxml_set_streams_context ( resource `$streams_context` )

Sets the streams context for the next libxml document load or write.

### Parameters

`streams_context`

  The stream context resource (created with stream_context_create)

### Return Values

No value is returned.

### Examples

Example #1 A libxml_set_streams_context example

`<?php
$opts = array(
'http' => array(
'user_agent' => 'PHP libxml agent',
)
);
$context = stream_context_create($opts);
libxml_set_streams_context($context);
// request a file through HTTP
$doc = DOMDocument::load('http://www.example.com/file.xml');
?>`

### See Also

- stream_context_create